/* library includes */
#include <geom/BSplineSurface.h>
#include <geom/EntityList.h>

/* local declarations */
using namespace GE;


int main (int argc, char **argv)
{
  // These DO NOT get linked
  EntityList<BSplineSurface>		entityList;
  GE::EntityList<GE::BSplineSurface>	entityList1;

  // These DO get linked
  BSplineSurface			*bSplineSurface = NULL;
  GE::BSplineSurface			*bSplineSurface1 = NULL;
  GE::BSplineSurface			bSplineSurface2;
  
  // These DO get linked
  entityList.Append_Entity (bSplineSurface);
  bSplineSurface->Change_Rational (TRUE);
  entityList1.Append_Entity (bSplineSurface1);
  bSplineSurface2.Change_Rational (TRUE);
  bSplineSurface1->Change_Rational (TRUE);
  
  return (ReturnCode);
}
